CordappInfo
Keywords: net.corda.core.cordapp.CordappInfo class
Date: 2023-09-18

net.corda.core.cordapp

## Class CordappInfo

- net.corda.core.cordapp.CordappInfo

-     public class CordappInfo

  A `class CordappInfo` describes a single CorDapp currently installed on the node

  See Also:
    `class CordappInfo`

- - ### Constructor Detail

    - #### CordappInfo

          public CordappInfo(@NotNull
                             java.lang.String type,
                             @NotNull
                             java.lang.String name,
                             @NotNull
                             java.lang.String shortName,
                             int minimumPlatformVersion,
                             int targetPlatformVersion,
                             @NotNull
                             java.lang.String version,
                             @NotNull
                             java.lang.String vendor,
                             @NotNull
                             java.lang.String licence,
                             @NotNull
                             net.corda.core.crypto.SecureHash.SHA256 jarHash)

      A `class CordappInfo` describes a single CorDapp currently installed on the node

      Parameters:
        `type` - A description of what sort of CorDapp this is - either a contract, workflow, or a combination.
        `name` - The name of the JAR file that defines the CorDapp
        `shortName` - The name of the CorDapp
        `minimumPlatformVersion` - The minimum platform version the node must be at for the CorDapp to run
        `targetPlatformVersion` - The target platform version this CorDapp has been tested against
        `version` - The version of this CorDapp
        `vendor` - The vendor of this CorDapp
        `licence` - The name of the licence this CorDapp is released under
        `jarHash` - The hash of the JAR file that defines this CorDapp
      See Also:
        `class CordappInfo`

  - ### Method Detail

    - #### getType

          @NotNull
          public java.lang.String getType()

      A description of what sort of CorDapp this is

      - either a contract, workflow, or a combination.

    - #### getName

          @NotNull
          public java.lang.String getName()

      The name of the JAR file that defines the CorDapp

    - #### getShortName

          @NotNull
          public java.lang.String getShortName()

      The name of the CorDapp

    - #### getMinimumPlatformVersion

          public int getMinimumPlatformVersion()

      The minimum platform version the node must be at for the CorDapp to run

    - #### getTargetPlatformVersion

          public int getTargetPlatformVersion()

      The target platform version this CorDapp has been tested against

    - #### getVersion

          @NotNull
          public java.lang.String getVersion()

      The version of this CorDapp

    - #### getVendor

          @NotNull
          public java.lang.String getVendor()

      The vendor of this CorDapp

    - #### getLicence

          @NotNull
          public java.lang.String getLicence()

      The name of the licence this CorDapp is released under

    - #### getJarHash

          @NotNull
          public net.corda.core.crypto.SecureHash.SHA256 getJarHash()

      The hash of the JAR file that defines this CorDapp

    - #### component1

          @NotNull
          public java.lang.String component1()

      A description of what sort of CorDapp this is

      - either a contract, workflow, or a combination.

    - #### component2

          @NotNull
          public java.lang.String component2()

      The name of the JAR file that defines the CorDapp

    - #### component3

          @NotNull
          public java.lang.String component3()

      The name of the CorDapp

    - #### component4

          public int component4()

      The minimum platform version the node must be at for the CorDapp to run

    - #### component5

          public int component5()

      The target platform version this CorDapp has been tested against

    - #### component6

          @NotNull
          public java.lang.String component6()

      The version of this CorDapp

    - #### component7

          @NotNull
          public java.lang.String component7()

      The vendor of this CorDapp

    - #### component8

          @NotNull
          public java.lang.String component8()

      The name of the licence this CorDapp is released under

    - #### component9

          @NotNull
          public net.corda.core.crypto.SecureHash.SHA256 component9()

      The hash of the JAR file that defines this CorDapp

    - #### copy

          @NotNull
          public CordappInfo copy(@NotNull
                                           java.lang.String type,
                                           @NotNull
                                           java.lang.String name,
                                           @NotNull
                                           java.lang.String shortName,
                                           int minimumPlatformVersion,
                                           int targetPlatformVersion,
                                           @NotNull
                                           java.lang.String version,
                                           @NotNull
                                           java.lang.String vendor,
                                           @NotNull
                                           java.lang.String licence,
                                           @NotNull
                                           net.corda.core.crypto.SecureHash.SHA256 jarHash)

      A `class CordappInfo` describes a single CorDapp currently installed on the node

      Parameters:
        `type` - A description of what sort of CorDapp this is - either a contract, workflow, or a combination.
        `name` - The name of the JAR file that defines the CorDapp
        `shortName` - The name of the CorDapp
        `minimumPlatformVersion` - The minimum platform version the node must be at for the CorDapp to run
        `targetPlatformVersion` - The target platform version this CorDapp has been tested against
        `version` - The version of this CorDapp
        `vendor` - The vendor of this CorDapp
        `licence` - The name of the licence this CorDapp is released under
        `jarHash` - The hash of the JAR file that defines this CorDapp
      See Also:
        `class CordappInfo`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A `class CordappInfo` describes a single CorDapp currently installed on the node

      See Also:
        `class CordappInfo`

    - #### hashCode

          public int hashCode()

      A `class CordappInfo` describes a single CorDapp currently installed on the node

      See Also:
        `class CordappInfo`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A `class CordappInfo` describes a single CorDapp currently installed on the node

      See Also:
        `class CordappInfo`